petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGetNeighbors

Gets an array containing the MPI rank of all the current processes neighbors.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetNeighbors(DM da,const PetscMPIInt *ranks[])

Not Collective

### Input Parameter

da - the DMDA object

### Output Parameters

ranks - the neighbors ranks, stored with the x index increasing most rapidly. this process itself is in the list

Notes: In 2d the array is of length 9, in 3d of length 27 Not supported in 1d Do not free the array, it is freed when the DMDA is destroyed.

Fortran Notes: In fortran you must pass in an array of the appropriate length.

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages